<?xml version="1.0"?>

<OBJECTS    name="">

    <NODE   name="UI_Factories::Performa">
        
        <NODE   name="Performa" factory="Participant"   class="oneit.servlets.jsp.ui.DefaultUICustomiser">

            <!-- <TOPMENU    name="MENU.TEST_ANALYSIS"   desc="Test Analysis"    sortOrder="100" factory="Participant"   class="oneit.servlets.jsp.ui.DefaultUICustomiser$Element"   
                        link="/extensions/performa/testAnalysis.jsp"/> -->
            <CHILD  name="Performa.SetupPlans"              desc="Setup Plans"              sortOrder="10"  toplevel="ADMIN"    priv="admin"    link="/extensions/performa/setupPlans.jsp"                  factory="Participant"   class="oneit.servlets.jsp.ui.DefaultUICustomiser$Element"   />
            <CHILD  name="Performa.MessageTemplate"         desc="Message Template"         sortOrder="20"  toplevel="ADMIN"    priv="admin"    link="/extensions/performa/listMessageTemplate.jsp"         factory="Participant"   class="oneit.servlets.jsp.ui.DefaultUICustomiser$Element"   />
            <CHILD  name="Performa.NotificationTemplate"    desc="Notification Template"    sortOrder="30"  toplevel="ADMIN"    priv="admin"    link="/extensions/performa/listNotificationTemplates.jsp"   factory="Participant"   class="oneit.servlets.jsp.ui.DefaultUICustomiser$Element"   />
        </NODE>
        
    </NODE>
    
    <NODE name="StorageMappings::Performa">
        <MAP code="TestInput"       class="performa.orm.TestInput"      />
        <MAP code="JobApplication"  class="performa.orm.JobApplication" />
        <MAP code="Candidate"       class="performa.orm.Candidate"      />
        <MAP code="CompanyUser"     class="performa.orm.CompanyUser"    />
        <MAP code="Client"          class="performa.orm.Client"         />
        <MAP code="Company"         class="performa.orm.Company"        />
        <MAP code="HiringTeam"      class="performa.orm.HiringTeam"     />
    </NODE>
    
    <NODE name="CONFIG.GLOBAL::Performa">
        <PARAM name="HasWebsite" factory="Boolean" value="true"/>
    </NODE>
    
    <NODE name="DashboardTypes::Performa">
        <MAP value="HOME_TL"    description="HomePage"  JSP="/extensions/performa/editor/additionalHomePage.jsp" />
    </NODE>
    
    <NODE name="WEB_BATCH::Email">
        <TASK factory="Participant" class="oneit.appservices.batch.DefaultTask">
            <RUN class="performa.utils.PerformaEmailFetcher" factory="Participant">
            </RUN>
            <WHEN factory="MetaComponent" component="BatchSchedule" selector="performa.runbatch">
                <NODE name="schedule" class="oneit.appservices.batch.QuickSchedule">
                    <NODE name="period" factory="Integer" value="5"/>
                </NODE>
            </WHEN>
        </TASK>
    </NODE>
    
</OBJECTS>